Page MenuHomePhabricator

Move OOjs Router code review from Differential to Gerrit
Closed, ResolvedPublic

Description

The code for OOjs Router currently lives in rGOJR OOjs Router, we should move it to Gerrit.

Event Timeline

Prtksxna created this task.Apr 4 2018, 3:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2018, 3:24 AM
Prtksxna updated the task description. (Show Details)Apr 5 2018, 3:57 AM

Repository-Admins what is the process for archiving/removing rGOJR OOjs Router?

greg added a subscriber: greg.

Adding to their workboard :)

Reedy added a subscriber: Reedy.Jun 11 2018, 6:52 PM

Does the phab repo actually need archiving? Just make gerrit the canonical repo, and the phab one be a replica?

We can keep the diffusion repo to observe the gerrit one by changing the URIs. Was the content for rGOJR migrated to Gerrit already?

We can keep the diffusion repo to observe the gerrit one by changing the URIs. Was the content for rGOJR migrated to Gerrit already?

It looks like everything has been copied properly.

We can keep the diffusion repo to observe the gerrit one by changing the URIs. Was the content for rGOJR migrated to Gerrit already?

It looks like everything has been copied properly.

Yep.

Okay so I'll convert this Diffusion repo in a mirror of Gerrit. This repo is also pushing changes to https://github.com/wikimedia/oojs-router.git - Do you want to keep that function?

MarcoAurelio added a comment.EditedJun 12 2018, 9:33 AM

Repository should now be observing changes from https://gerrit.wikimedia.org/oojs/router now. Until you commit and merge something there I won't know if it is fully working as expected though.

Edit: I have verified it is working as expected since it's started importing the commit history from Gerrit as well.

Change 439862 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[oojs/router@master] Add .gitreview, remove .arcconfig .arclint

https://gerrit.wikimedia.org/r/439862

MarcoAurelio triaged this task as Normal priority.Jun 12 2018, 9:51 AM
MarcoAurelio updated the task description. (Show Details)

I see there are no CI tests for that repo. You should setup some I think. Added Continuous-Integration-Config.

Change 439862 merged by Jdlrobson:
[oojs/router@master] Remove .arcconfig & .arclint

https://gerrit.wikimedia.org/r/439862

Change 440052 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[integration/config@master] Add tests for oojs/router

https://gerrit.wikimedia.org/r/440052

Thanks @MarcoAurelio


Okay so I'll convert this Diffusion repo in a mirror of Gerrit. This repo is also pushing changes to https://github.com/wikimedia/oojs-router.git - Do you want to keep that function?

We do want to mirror all changes to github as well, yes.

Just out of curiosity — will it be Gerrit > Diffusion > Github, or two separate ones, as in, 1) Gerrit > Diffusion, and 2) Gerrit > Github.

Change 440054 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[integration/config@master] Configure jobs for oojs/router

https://gerrit.wikimedia.org/r/440054

Change 440052 abandoned by Legoktm:
Add tests for oojs/router

Reason:
Superseded by Change-Id: I8de16bf50e42e29378aa38050119530671d87eb6

https://gerrit.wikimedia.org/r/440052

Change 440054 merged by jenkins-bot:
[integration/config@master] Configure jobs for oojs/router

https://gerrit.wikimedia.org/r/440054

Legoktm updated the task description. (Show Details)Jun 13 2018, 6:01 AM

Just out of curiosity — will it be Gerrit > Diffusion > Github, or two separate ones, as in, 1) Gerrit > Diffusion, and 2) Gerrit > Github.

Gerrit --> Github (push), and Diffusion <-- Gerrit (pull).

hashar renamed this task from Move OOjs Router to Gerrit (from Diffusion) to Move OOjs Router code feview from Differential to Gerrit.Jun 13 2018, 7:04 AM
Aklapper renamed this task from Move OOjs Router code feview from Differential to Gerrit to Move OOjs Router code review from Differential to Gerrit.Jun 13 2018, 8:17 AM

Yep @Prtksxna Whatever you commit/merge on Gerrit will be mirrored on Diffusion and GitHub, so you only have to work on Gerrit :)

All working as expected? Any issues? If not, we can close this task as resolved I think. Regards.

Jdlrobson closed this task as Resolved.Jun 20 2018, 2:45 PM

LGTM